//
//  TutorialsWindow.h
//  Terraray
//
//  Created by Mendel Kucharzeck on 19.11.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import <WebKit/WebKit.h>

@interface ANTutorialsWindow : NSObject <NSToolbarDelegate>
{
    IBOutlet NSWindow *window;
	IBOutlet WebView *webView;
    
    NSArray *topLevelObjectsFromNib;
}

+ (ANTutorialsWindow*) sharedTutorialsWindow;

- (void) openTutorialWithDictionary:(NSDictionary*)dictionary;
- (void) openTutorialWindow;

@end
