//
//  LCBaseDistorter+ForSubclassers.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 26.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseDistorter.h"
#import "LCCanvasProtocol.h"

@interface LCBaseDistorter (ForSubclassers)

- (CGPathRef) alternatePath:(CGPathRef)path inCanvas:(id <LCCanvasProtocol>)canvas withZoomFactor:(float)zoomFactor;

+ (NSString*) displayName;
+ (NSString*) iconFileName;

- (NSArray*) propertyEditDictionaries;

- (CGRect) expandMaskRectForDistortion:(CGRect)maskRect inCanvas:(id <LCCanvasProtocol>)canvas;

@end
