//
//  LCCanvasRootLayer+Animations.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 06.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCCanvasRootLayer.h"
#import "LCCanvasHandleLayer.h"

@class LCCanvasObjectLayer;

@interface LCCanvasRootLayer (Animations)

- (void) addAddObjectAnimationToLayer:(LCCanvasObjectLayer*)layer withDelayFactor:(float)delayFactor;
- (void) addSelectObjectAnimationToLayer:(LCCanvasObjectLayer*)layer;
- (void) addAddHandleAnimationToLayer:(LCCanvasHandleLayer*)layer;

- (void) addApplyEffectAnimationToLayer:(LCCanvasObjectLayer*)layer;

- (void) addStartBackgroundShadowLayerAnimation:(CALayer*)layer;
- (void) addStartGridLayerAnimation:(CALayer*)layer;

@end
