//
//  LCObjectsContainerDelegate.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 15.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

@class LCObjectsContainer;

@protocol LCObjectsContainerDelegate

- (void) objectsDidChange:(NSArray*)changedObjects;
- (void) sizeDidChangeInObjectsContainer:(LCObjectsContainer*)container;
- (void) backgroundColorDidChangeInObjectsContainer:(LCObjectsContainer*)container;
- (void) gridDistanceDidChangeInObjectsContainer:(LCObjectsContainer*)container;
- (void) clippingDidChangeInObjectsContainer:(LCObjectsContainer*)container;

@end
