//
//  ANPreferenceWindowController.h
//  AvisNocturnaMacCore
//
//  Created by Mendel Kucharzeck on 19.03.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class ANBasePreferencePane;

@interface ANPreferenceWindowController : NSObject <NSToolbarDelegate>
{
    NSWindow *preferenceWindow;
    
    NSMutableArray *preferencePanes;
    
    NSView *currentContentView;
}

+ (ANPreferenceWindowController*) sharedPreferenceWindowController;

- (void) showPreferenceWindow;

- (void) addPreferencePaneWithClass:(Class)paneClass;

@end

