//
//  LCBaseObject-Render.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 14.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCBaseObject.h"
#import <LogoistCore/LCCanvasProtocol.h>

@interface LCBaseObject (Render)

- (CGImageRef) imageInCanvas:(id <LCCanvasProtocol>)canvas;

- (CGRect) expandMaskRectForFilters:(CGRect)maskRect;
- (CGRect) expandMaskRectBoundsForRotation:(CGRect)unrotatedMaskRect inCanvas:(id <LCCanvasProtocol>)canvas;

@end
